# Copyright 2013 Nikita Zlobin <nick87720z@gmail.com>
# Distributed under the terms of the GNU General Public License v3
# $Header: $

EAPI="5"

MY_P="${PN}_${PV}"
S="${WORKDIR}/${MY_P}"

inherit eutils cmake-utils

DESCRIPTION="Collection of desktop applications for the Linux sound system ALSA."
HOMEPAGE="http://xwmw.org/qastools/"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"

if [[ ${PV} == *9999* ]]; then
	KEYWORDS=""
	inherit git-2
	EGIT_REPO_URI="git://git.code.sf.net/p/qastools/git"
	GIT_DEPEND="dev-vcs/git"
else
	KEYWORDS="~amd64 ~ppc ~x86"
	SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
fi

RDEPEND="media-libs/alsa-lib
        >=dev-qt/qtgui-4.6.0"

DEPEND="${RDEPEND}"

DOCS="CHANGELOG COPYING README TODO"

src_install() {
	cmake-utils_src_install
}
